Package com.io7m.cardant.protocol.inventory.cb

# Record Class CAI1ItemReposit.CAI1ItemRepositSetMove

java.lang.Object
java.lang.Record
com.io7m.cardant.protocol.inventory.cb.CAI1ItemReposit.CAI1ItemRepositSetMove

Record Components:
  `fieldItemId` - The item.
  `fieldLocationFrom` - The from location.
  `fieldLocationTo` - The to location.
  `fieldCount` - The count.

All Implemented Interfaces:
  `CAI1ItemReposit`, `com.io7m.cedarbridge.runtime.api.CBSerializableType`

Enclosing interface:
  `CAI1ItemReposit`

public static record CAI1ItemReposit.CAI1ItemRepositSetMove(com.io7m.cedarbridge.runtime.api.CBUUID fieldItemId, com.io7m.cedarbridge.runtime.api.CBUUID fieldLocationFrom, com.io7m.cedarbridge.runtime.api.CBUUID fieldLocationTo, com.io7m.cedarbridge.runtime.api.CBIntegerUnsigned64 fieldCount) extends Record implements com.io7m.cedarbridge.runtime.api.CBSerializableType, CAI1ItemReposit
An operation that moves a set of items from one storage location to another.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface com.io7m.cardant.protocol.inventory.cb.CAI1ItemReposit

  `CAI1ItemReposit.CAI1ItemRepositSerialAdd, CAI1ItemReposit.CAI1ItemRepositSerialMove, CAI1ItemReposit.CAI1ItemRepositSerialRemove, CAI1ItemReposit.CAI1ItemRepositSetAdd, CAI1ItemReposit.CAI1ItemRepositSetMove, CAI1ItemReposit.CAI1ItemRepositSetRemove`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CAI1ItemRepositSetMove(com.io7m.cedarbridge.runtime.api.CBUUID fieldItemId, com.io7m.cedarbridge.runtime.api.CBUUID fieldLocationFrom, com.io7m.cedarbridge.runtime.api.CBUUID fieldLocationTo, com.io7m.cedarbridge.runtime.api.CBIntegerUnsigned64 fieldCount)`
  Creates an instance of a `CAI1ItemRepositSetMove` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CAI1ItemReposit.CAI1ItemRepositSetMove`
  `deserialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context)`
  Deserialize a value of type com.io7m.cardant.protocol.inventory.cb.CAI1ItemRepositSetMove.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `com.io7m.cedarbridge.runtime.api.CBIntegerUnsigned64`
  `fieldCount()`
  Returns the value of the `fieldCount` record component.
  `com.io7m.cedarbridge.runtime.api.CBUUID`
  `fieldItemId()`
  Returns the value of the `fieldItemId` record component.
  `com.io7m.cedarbridge.runtime.api.CBUUID`
  `fieldLocationFrom()`
  Returns the value of the `fieldLocationFrom` record component.
  `com.io7m.cedarbridge.runtime.api.CBUUID`
  `fieldLocationTo()`
  Returns the value of the `fieldLocationTo` record component.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `static void`
  `serialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context, CAI1ItemReposit.CAI1ItemRepositSetMove $x)`
  Serialize a value of type com.io7m.cardant.protocol.inventory.cb.CAI1ItemRepositSetMove.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CAI1ItemRepositSetMove

    public CAI1ItemRepositSetMove(com.io7m.cedarbridge.runtime.api.CBUUID fieldItemId, com.io7m.cedarbridge.runtime.api.CBUUID fieldLocationFrom, com.io7m.cedarbridge.runtime.api.CBUUID fieldLocationTo, com.io7m.cedarbridge.runtime.api.CBIntegerUnsigned64 fieldCount)
    Creates an instance of a `CAI1ItemRepositSetMove` record class.
    Parameters:
      `fieldItemId` - the value for the `fieldItemId` record component
      `fieldLocationFrom` - the value for the `fieldLocationFrom` record component
      `fieldLocationTo` - the value for the `fieldLocationTo` record component
      `fieldCount` - the value for the `fieldCount` record component

- ## Method Details

  - ### serialize

    public static void serialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context, CAI1ItemReposit.CAI1ItemRepositSetMove $x) throws IOException
    Serialize a value of type com.io7m.cardant.protocol.inventory.cb.CAI1ItemRepositSetMove.
    Parameters:
      `$context` - The serialization context.
      `$x` - The value to be serialized.
    Throws:
      `IOException`

  - ### deserialize

    public static CAI1ItemReposit.CAI1ItemRepositSetMove deserialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context) throws IOException
    Deserialize a value of type com.io7m.cardant.protocol.inventory.cb.CAI1ItemRepositSetMove.
    Parameters:
      `$context` - The serialization context.
    Returns:
      A value of type com.io7m.cardant.protocol.inventory.cb.CAI1ItemRepositSetMove.
    Throws:
      `IOException`

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### fieldItemId

    public com.io7m.cedarbridge.runtime.api.CBUUID fieldItemId()
    Returns the value of the `fieldItemId` record component.
    Returns:
      the value of the `fieldItemId` record component

  - ### fieldLocationFrom

    public com.io7m.cedarbridge.runtime.api.CBUUID fieldLocationFrom()
    Returns the value of the `fieldLocationFrom` record component.
    Returns:
      the value of the `fieldLocationFrom` record component

  - ### fieldLocationTo

    public com.io7m.cedarbridge.runtime.api.CBUUID fieldLocationTo()
    Returns the value of the `fieldLocationTo` record component.
    Returns:
      the value of the `fieldLocationTo` record component

  - ### fieldCount

    public com.io7m.cedarbridge.runtime.api.CBIntegerUnsigned64 fieldCount()
    Returns the value of the `fieldCount` record component.
    Returns:
      the value of the `fieldCount` record component